Subject: [nwcrg] Fwd: New Version Notification for draft-amdouni-nwcrg-cisew-00.txt

From: ichrak amdouni <[email-masked]>
Date: Fri, 14 Nov 2014 18:09:49 +0100

Hello all,

Here is the link of the sliding encoding window building block (CISEW) that
Cedric has just mentioned :
http://www.ietf.org/internet-drafts/draft-amdouni-nwcrg-cisew-00.txt
we would be very interested to participate in discussions dealing with such
building blocks.

Best regards and very nice meeting!
Ichrak

----- Mail transféré -----
> De: [email-masked]
> À: "Ichrak Amdouni" <[email-masked]>, "Cedric Adjih" <
[email-masked]>, "Ichrak Amdouni"
> <[email-masked]>, "Cedric Adjih" <[email-masked]>
> Envoyé: Vendredi 4 Juillet 2014 23:28:30
> Objet: New Version Notification for draft-amdouni-nwcrg-cisew-00.txt
>
>
> A new version of I-D, draft-amdouni-nwcrg-cisew-00.txt
> has been successfully submitted by Ichrak Amdouni and posted to the
> IETF repository.
>
> Name:         draft-amdouni-nwcrg-cisew
> Revision:     00
> Title:                Coding Interval-based Sliding Encoding Window
> Document date:        2014-07-04
> Group:                Individual Submission
> Pages:                23
> URL:
> http://www.ietf.org/internet-drafts/draft-amdouni-nwcrg-cisew-00.txt
> Status:
https://datatracker.ietf.org/doc/draft-amdouni-nwcrg-cisew/
> Htmlized:       http://tools.ietf.org/html/draft-amdouni-nwcrg-cisew-00
>
>
> Abstract:
>    This document details an online coding method for network coding
>    called CISEW: Coding Interval-based Sliding Encoding Window.  The
>    method is proposed as a building block that could be integrated in a
>    complete network coding protocol.  This building block is responsible
>    of:
>
>       - decoding: maintaining and decoding of the set of received coded
>       payloads,
>
>       - recoding: selecting the content of generated coded payloads,
>
>       - signaling: allowing for nodes to collect the information on the
>       state of their neighbors.
>
>    CISEW is based on a sliding window method; it generates coded
>    payloads using only a small subset of original payloads.  This allows
>    for some real-time decoding (online decoding).  CISEW is a overhaul
>    and redesign of a similar method called SEW, part of the previously
>    proposed protocol DRAGONCAST.  CISEW refines the signaling and
>    algorithms of SEW, and makes them more general.  CISEW offers a
>    general framework for online network coding, with associated
>    signaling.  From this framework, several online coding policies can
>    be implemented.
>
>
>
>
> Please note that it may take a couple of minutes from the time of
submission
> until the htmlized version and diff are available at tools.ietf.org.
>
> The IETF Secretariat
>
>